.form-group label {
  padding-left: 1rem;
  color: $color-text-secondary;
  transition: $base-transition;
  font-size:  $font-size-sm;
  margin-bottom: .3rem;

  @include media-breakpoint-up(sm) {
    font-size: $font-size-md;
    margin-bottom: .5rem;
  }
}

.form-control {
  @include media-breakpoint-down(sm) {
    padding: .7rem;
    font-size: $font-size-sm;
  }
}

.form-control-feedback {
  display: inline-block;
  float: right;
}

.custom-select {
  width:100%;

  @include media-breakpoint-down(sm) {
    padding: .7rem;
    font-size: $font-size-sm;
  }
}

.custom-control-indicator {
  border: $base-border;
}

.form-group {

  &.is-required {

    label {
      position: relative;
      padding-left: 1rem;

      &:before {
        content: "";
        display: inline-block;
        width: 6px;
        height: 6px;
        background-color: $color-danger;
        border-radius: 100%;
        left: 0;
        position: absolute;
        transform: translateY(-50%);
        top: 50%;
      }

      &.hidden-label {
        position: relative;

        &:before {
          display: none;
        }
      }
    }
  }
}

.required-mark {
  display: inline-block;
  width: 6px;
  height: 6px;
  background-color: $color-danger;
  border-radius: 100%;
  vertical-align: middle;
  margin: 0 .1rem;
}


.has-danger {
  .form-control {
    border-width: 2px;
    border-color: $color-danger;

    &:hover {
      border-color: $color-danger;
    }
  }
}

.input-button {

  .input-text {
    flex-grow: 10;
  }
}

// Buy credits form

.credits-form {

  &--row {
    border-bottom: $base-border;

    &:first-child  {
      border-top: $base-border;
    }

    label {
      display: block;
      padding: 16px 8px;
      margin-bottom:0;

    }
  }
}


.label-control-file {
  padding:1rem;
  width:100%;
  text-align: center;
  cursor: pointer;
  transition: $transition-base;

  &:hover {
    border-color: $color-primary;
  }
  input[type="file"] {
    position: absolute;
    opacity:0;
  }
}



